

singleton Material(black)
{
   mapTo = "black";
   diffuseColor[0] = "0.152 0.152 0.152 1";
   diffuseColor[1] = "1 1 1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(truck8x8_wheel)
{
   mapTo = "truck8x8_wheel";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_tire.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_tire_s.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_tire_n.dds";
   diffuseColor[0] = "1 1 1 0.98";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   //cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_roadwheel)
{
   mapTo = "truck8x8_roadwheel";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_roadtire.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_tire_s.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_roadtire_n.dds";
   diffuseColor[0] = "1 1 1 0.98";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   //cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_interior)
{
   mapTo = "truck8x8_interior";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_interior.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_interior.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_interior_n.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_interior_n.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_interior_s.dds";
   specularMap[1] = "vehicles/semi_eu_truck/truck8x8_interior_s.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[0] = "1 1 1 0.95";
   specularPower[0] = "16";
   specularPower[1] = "16";
   specularPower[0] = "16";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   translucentBlendOp = "None";
   alphaTest = "0";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chassis)
{
   mapTo = "chassis";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_frame.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_frame.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_frame_n.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_frame_n.dds";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.95";
   specular[1] = "0.6 0.6 0.6 1";
   cubemap = "BNG_Sky_02_cubemap";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(truck8x8_cab)
{
   mapTo = "truck8x8_cab";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_cab.dds";
   //diffuseMap[2] = "vehicles/semi_eu_truck/cabdirt.png";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_cab_n.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_cab_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   specular[1] = "0.3 0.3 0.3 1";
   specular[0] = "0.3 0.3 0.3 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(truck8x8_grille)
{
   mapTo = "truck8x8_grille";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_cab.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_cab_s.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   diffuseColor[0] = "1 1 1 1";
   useAnisotropic[0] = "1";
   translucent = "1";
   alphaTest = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(truck8x8_paint)
{
   mapTo = "truck8x8_paint";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_cab.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_cab.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_cab_n.dds";
   //diffuseMap[2] = "vehicles/semi_eu_truck/cabdirt.png";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_cab_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.8 0.8 0.8 0.9";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   specular[1] = "0.3 0.3 0.3 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_exocage)
{
   mapTo = "truck8x8_exocage";
   diffuseMap[0] = "vehicles/semi_eu_truck/welding.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/welding.dds";
   normalMap[1] = "vehicles/semi_eu_truck/welding_n.dds";
   //diffuseMap[2] = "vehicles/semi_eu_truck/cabdirt.png";
   normalMap[0] = "vehicles/semi_eu_truck/welding_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   specular[1] = "0.3 0.3 0.3 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   dynamicCubemap = true;
   beamngDiffuseColorSlot = 1;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_box)
{
   mapTo = "truck8x8_box";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_box_beamng.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_box_n.dds";
   normalMap[0] = "vehicles/semi_eu_truck/truck8x8_box_n.dds";
   specularMap[1] = "vehicles/semi_eu_truck/truck8x8_box_s.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_box_s.dds";
   specular[1] = "0.3 0.3 0.3 1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.87";
   specularPower[0] = "4";
   specularPower[1] = "4";
   pixelSpecular[0] = "1";
   pixelSpecular[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   cubemap = "global_cubemap_metalblurred";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
};

singleton Material(truck8x8_glass_inside)
{
   mapTo = "truck8x8_glass_inside";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_glass.dds";
   useAnisotropic[1] = "1";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   specular[0] = "0.1 0.1 0.1 1";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 0.1";
   diffuseColor[1] = "0.8 0.8 0.8 0.2";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_glass_inside_dmg)
{
   mapTo = "truck8x8_glass_inside_dmg";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_glass_dmg.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_glass_dmg.dds";
   specularMap[1] = "vehicles/semi_eu_truck/truck8x8_glass_dmg_s.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_glass_dmg_s.dds";
   useAnisotropic[1] = "1";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   specular[0] = "0.1 0.1 0.1 1";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 0.1";
   diffuseColor[1] = "0.8 0.8 0.8 0.2";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_logs)
{
   mapTo = "LOGS";
   diffuseMap[0] = "vehicles/semi_eu_truck/log.dds";
   normalMap[0] = "vehicles/semi_eu_truck/log_n.dds";
   specularMap[0] = "vehicles/semi_eu_truck/log_s.dds";
   specularPower[0] = "4";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_needle)
{
   mapTo = "needle";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[0] = "1";
   emissive[0] = "1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.5 0.05 0.05 1";
};

singleton Material(truck8x8_gaugehazards)
{
   mapTo = "truck8x8_gaugehazards";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_gaugeshazards.dds";
   diffuseColor[0] = "1.5 1.5 1.5 1.5";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_gaugeshazards.dds";
   diffuseColor[1] = "1 1 1 0.6";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   glow[1] = "1";
   emissive[1] = "1";
   emissive[0] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
};

singleton Material(truck8x8_chrome)
{
   mapTo = "truck8x8_chrome";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0 0 0 1";
   diffuseColor[1] = "0 0 0 0";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true;
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_lights_off)
{
   mapTo = "truck8x8_lights_off";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_off.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.5 0.5 0.5 1";
   diffuseColor[1] = "0 0 0 0.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_lights_on)
{
   mapTo = "truck8x8_lights_on";
   diffuseMap[2] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights_off.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.8";
   diffuseColor[2] = "1 1 1 0.2";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_blinkers_on)
{
   mapTo = "truck8x8_blinkers_on";
   diffuseMap[2] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights_off.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 0.5 0 0.8";
   diffuseColor[2] = "1 0.5 0 0.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_rearlights_on)
{
   mapTo = "truck8x8_rearlights_on";
   diffuseMap[2] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights_off.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 0.0 0 0.5";
   diffuseColor[2] = "1 0.0 0 0.1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_lights_on_intense)
{
   mapTo = "truck8x8_lights_on_intense";
   diffuseMap[2] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_on.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights_off.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.8";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_headlight)
{
   mapTo = "truck8x8_headlight";
};

singleton Material(truck8x8_rearlight)
{
   mapTo = "truck8x8_rearlight";
};

singleton Material(truck8x8_brakelight)
{
   mapTo = "truck8x8_brakelight";
};

singleton Material(truck8x8_reverselight)
{
   mapTo = "truck8x8_reverselight";
};

singleton Material(truck8x8_blinker_l)
{
   mapTo = "truck8x8_blinker_l";
};

singleton Material(truck8x8_blinker_r)
{
   mapTo = "truck8x8_blinker_r";
};

singleton Material(truck8x8_glass)
{
   mapTo = "truck8x8_glass";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_glass.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "0.6 0.6 0.6 0.5";
   diffuseColor[1] = "0.6 0.6 0.6 0.4";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_glass_dmg)
{
   mapTo = "truck8x8_glass_dmg";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_glass_dmg.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_glass_dmg.dds";
   specularMap[1] = "vehicles/semi_eu_truck/truck8x8_glass_dmg_s.dds";
   specularMap[0] = "vehicles/semi_eu_truck/truck8x8_glass_dmg_s.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 0.5";
   diffuseColor[1] = "1 1 1 0.4";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_lights)
{
   mapTo = "truck8x8_lights";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_n.dds";
   useAnisotropic[1] = "1";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   specular[0] = "0.1 0.1 0.1 1";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 0.2";
   diffuseColor[1] = "1 1 1 0.4";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   cubemap = "BNG_Sky_02_cubemap";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_lights_dmg)
{
   mapTo = "truck8x8_lights_dmg";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_dmg.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_lights_dmg.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_lights_n.dds";
   useAnisotropic[1] = "1";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   specular[0] = "0.1 0.1 0.1 1";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 0.4";
   diffuseColor[1] = "1 1 1 0.6";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   cubemap = "BNG_Sky_02_cubemap";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(truck8x8_gauges)
{
   mapTo = "truck8x8_gauges";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_gauges.dds";
   diffuseMap[0] = "vehicles/semi_eu_truck/truck8x8_gauges.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[0] = "1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 0.8";
   diffuseColor[1] = "0.05 0.05 0.05 0.05";
};

singleton Material(truck8x8_bed)
{
   mapTo = "truck8x8_bed";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_bed.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 0.9";
   specular[0] = "0.5 0.5 0.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(truck8x8_goose)
{
   mapTo = "goose";
   diffuseMap[1] = "vehicles/semi_eu_truck/truck8x8_goose.dds";
   normalMap[1] = "vehicles/semi_eu_truck/truck8x8_goose_n.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   specular[0] = "0.5 0.5 0.5 1";
   specular[1] = "0.5 0.5 0.5 1";
   specularPower[0] = "16";
   specularPower[1] = "16";
   translucentBlendOp = "None";
};
singleton Material(semi_frame)
{
    mapTo = "semi_frame";
    diffuseMap[1] = "vehicles/semi/semi_frame_d.dds";
    specularMap[1] = "vehicles/semi/semi_frame_s.dds";
    normalMap[1] = "vehicles/semi/semi_frame_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_frame_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	
};
singleton Material(semi_mixbody)
{
    mapTo = "semi_mixbody";
    diffuseMap[2] = "vehicles/semi/semi_mixbody_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixbody_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixbody_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixbody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixbody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(semi_mixdrum)
{
    mapTo = "semi_mixdrum";
    diffuseMap[2] = "vehicles/semi/semi_mixdrum_c.dds";
    specularMap[2] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[2] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[1] = "vehicles/semi/semi_mixdrum_d.dds";
    specularMap[1] = "vehicles/semi/semi_mixdrum_s.dds";
    normalMap[1] = "vehicles/semi/semi_mixdrum_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/semi_mixdrum_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(dump)
{
    mapTo = "dump";
    diffuseMap[2] = "vehicles/semi/dump_c.dds";
    specularMap[2] = "vehicles/semi/dump_s.dds";
    normalMap[2] = "vehicles/semi/dump_n.dds";
    diffuseMap[1] = "vehicles/semi/dump_d.dds";
    specularMap[1] = "vehicles/semi/dump_s.dds";
    normalMap[1] = "vehicles/semi/dump_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/semi/dump_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};